unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  DBTables, StdCtrls, Db, Grids, DBGrids, Mask, DBCtrls, HLDateCvt;

type
  TForm1 = class(TForm)
    Table1: TTable;
    DBGrid1: TDBGrid;
    DataSource1: TDataSource;
    DBEdit1: TDBEdit;
    Table1OrderNo: TFloatField;
    Table1CustNo: TFloatField;
    Table1SaleDate: TDateTimeField;
    Table1ShipDate: TDateTimeField;
    Table1EmpNo: TIntegerField;
    Table1ShipToContact: TStringField;
    Table1ShipToAddr1: TStringField;
    Table1ShipToAddr2: TStringField;
    Table1ShipToCity: TStringField;
    Table1ShipToState: TStringField;
    Table1ShipToZip: TStringField;
    Table1ShipToCountry: TStringField;
    Table1ShipToPhone: TStringField;
    Table1ShipVIA: TStringField;
    Table1PO: TStringField;
    Table1Terms: TStringField;
    Table1PaymentMethod: TStringField;
    Table1ItemsTotal: TCurrencyField;
    Table1TaxRate: TFloatField;
    Table1Freight: TCurrencyField;
    Table1AmountPaid: TCurrencyField;
    SaleDate: TLabel;
    ShipDate: TLabel;
    DBEdit2: TDBEdit;
    Label1: TLabel;
    edYearDigits: TEdit;
    Label2: TLabel;
    edDateSep: TEdit;
    chkAllowEmpty: TCheckBox;
    cboDisplayFormat: TComboBox;
    Label3: TLabel;
    HLDateConverter1: THLDateConverter;
    procedure FormCreate(Sender: TObject);
    procedure edDateSepExit(Sender: TObject);
    procedure chkAllowEmptyClick(Sender: TObject);
    procedure cboDisplayFormatChange(Sender: TObject);
    procedure edYearDigitsExit(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  chkAllowEmpty.Checked := HLDateConverter1.AllowEmptyDate;
  edDateSep.Text := DateSeparator;
  edYearDigits.Text := IntToStr(g_RocYearDigits);
  cboDisplayFormat.Text := g_DateFormat;
  Table1.Open;
end;

procedure TForm1.edDateSepExit(Sender: TObject);
begin
  DateSeparator := edDateSep.Text[1];
end;

procedure TForm1.chkAllowEmptyClick(Sender: TObject);
begin
  HLDateConverter1.AllowEmptyDate := chkAllowEmpty.Checked;
end;

procedure TForm1.cboDisplayFormatChange(Sender: TObject);
begin
  HLDateConverter1.DisplayFormat := cboDisplayFormat.Text;
end;

procedure TForm1.edYearDigitsExit(Sender: TObject);
begin
  g_RocYearDigits := StrToInt(edYearDigits.Text);
end;

end.
